<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/teco_get_macro_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/31/83  teco_get_macro_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in teco_get_macro_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>:Entry:  teco_get_macro_:  02/15/83  teco_get_macro_
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Function: The teco_get_macro_ subroutine is called by teco to search
<span id="L11" class="LineNr">11 </span>for an external macro.
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>By default the following directories are searched:
<span id="L14" class="LineNr">14 </span>   1. working directory
<span id="L15" class="LineNr">15 </span>   2. home directory
<span id="L16" class="LineNr">16 </span>   3. &gt;system_library_tools
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>Syntax:
<span id="L20" class="LineNr">20 </span>declare teco_get_macro_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span>
<span id="L21" class="LineNr">21 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr">22 </span>call teco_get_macro_ <span class="textRainbow_lv0_p0">(</span>mname<span class="textRainbow_lv0_o0">,</span> mptr<span class="textRainbow_lv0_o0">,</span> mlen<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>Arguments:
<span id="L26" class="LineNr">26 </span>name
<span id="L27" class="LineNr">27 </span>   is the name of the macro to be found.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr">28 </span>mptr
<span id="L29" class="LineNr">29 </span>   is a pointer to the macro.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L30" class="LineNr">30 </span>mlen
<span id="L31" class="LineNr">31 </span>   is the length of the macro.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr">32 </span>code
<span id="L33" class="LineNr">33 </span>   is a standard Multics status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
